Subject: Re: [GSoC][PATCH v5 0/7] t: port reftable/pq_test.c to the unit testing framework

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jul 2024 09:06:31 -0700

Patrick Steinhardt <[email-masked]> writes:

> Of course, those shims will closely follow the interfaces that we have
> in Git. E.g. there will shims for "strbuf", the tempfile interface, and
> everything else that we currently use in the reftable library. So
> ultimately, I expect that the shim implementations will simply look like
> the following:
>
> ```
> typedef struct strbuf reftable_buf;
>
> static inline void reftable_buf_add(struct strbuf reftable_buf *buf,
>                                     const void *data, size_t len)
> {
>     strbuf_add(buf, data, len);
> }
> ```
>
> While we could also shim out the priority queue, I don't really think
> that it is worth it.

OK, I am fine if somebody wants to spend cycles to move the
reftable_pq tests to the unit-test framework.  I just wasn't sure
what the future plans were, and one obvious direction to replace
reftable_pq would invalidate such work, and I wanted to make sure
everybody involved in this effort is aware of that.

Thanks.